--- /dev/null	Mon Aug  5 17:19:54 2019
+++ new/usr/src/test/nfssharemnt-tests/tests/nfslogd/nfslog.conf	Mon Aug  5 17:19:54 2019
@@ -0,0 +1,96 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+#
+# NFS server log configuration file.
+#
+# <tag> [ defaultdir=<dir_path> ] \
+#	[ log=<logfile_path> ] [ fhtable=<table_path> ] \
+#	[ buffer=<bufferfile_path> ] [ logformat=basic|extended ]
+#
+# NOTE:
+# Because of the the "awk" (patten match) function in the tests
+# each tag is limited to one line. (even though the config file
+# allows to use '\' for multiple lines)
+#
+
+global	defaultdir=/var/nfs/smtest log=defaults/nfslog fhtable=defaults/fhtable buffer=defaults/nfslog_workbuffer logformat=extended
+
+# This tag is used for testing default_dir plus a tag specific log path.
+Sok_Lok 	log=results/Sok_Lok_log 
+
+# This tag is used for testing default_dir plus tag specific log 
+# and buffer files.
+Sok_L_Bok 	log=results/Sok_L_Bok_log buffer=results/Sok_L_Bok_buf
+
+# This tag is used for testing default_dir plus tag specific log, fhtable 
+# and buffer files.
+Sok_L_B_FHok	log=results/Sok_L_B_FHok_log buffer=results/Sok_L_B_FHok_buf fhtable=results/Sok_L_B_FHok_fhtable
+
+# This tag is used for testing absolute path for the fhtable file.
+Sok_FH_B_Labst	log=results/Sok_FH_B_Labst_log buffer=results/Sok_FH_B_Labst_buf fhtable=/var/nfs/smtest/absolute/Sok_FH_B_Labst_fhtable
+
+# This tag is used for testing absolute paths for the log and buffer files.
+Sok_L_Babst	log=/var/nfs/smtest/absolute/Sok_L_Babst_log buffer=/var/nfs/smtest/absolute/Sok_L_Babst_buf fhtable=results/Sok_L_Babst_fhtable
+
+# This tag is used for testing absolute paths for the buffer and fhtable files.
+Sok_Ldef_FH_Babst	log=defaults/Sok_Ldef_FH_Babst_log buffer=/var/nfs/smtest/absolute/Sok_Ldef_FH_Babst_buf fhtable=/var/nfs/smtest/absolute/Sok_Ldef_FH_Babst_fhtable
+
+# This tag is used for testing an absolute path for the fhtable file.
+Sok_L_Bdef_FHabst	log=defaults/Sok_L_Bdef_FHabs_log buffer=defaults/Sok_L_Bdef_FHabs_buf	fhtable=/var/nfs/smtest/absolute/Sok_L_Bdef_FHabs_fhtable
+
+# This tag is used for testing absolute paths.
+Sok_Labst	log=/var/nfs/smtest/absolute/Sok_Labst_log fhtable=/var/nfs/smtest/absolute/Sok_Labst_fhtable buffer=/var/nfs/smtest/absolute/Sok_Labst_buf
+
+# This tag is used for testing use of global values for the fhtable file 
+# and an absolute path for the buffer file.
+Sok_Babst	log=results/Sok_Babst_log buffer=/var/nfs/smtest/absolute/Sok_Babst_buf
+
+# This tag is used for testing the use of an absolute path for the fhtable
+# and the global value for the buffer.
+Sok_FHabst	log=results/Sok_FHabst_log fhtable=/var/nfs/smtest/absolute/Sok_FHabst_fhtable
+
+# This tag is used for testing a tag with a new default_dir specified.
+Sok_DFT_RES	defaultdir=/var/nfs/smtest/results log=Sok_DFT_RES_log buffer=Sok_DFT_RES_buf fhtable=Sok_DFT_RES_fhtable
+
+# This tag is used for testing a tag with a new default_dir specified.
+Sok_DFT_ABST	defaultdir=/var/nfs/smtest/absolute log=Sok_DFT_ABST_log buffer=Sok_DFT_ABST_buf fhtable=Sok_DFT_ABST_fhtable
+
+# This tag is used for testing a tag with a new default_dir specified.
+Sok_DFT_DFLT	defaultdir=/var/nfs/smtest/defaults log=Sok_DFT_DFLT_log buffer=Sok_DFT_DFLT_buf fhtable=Sok_DFT_DFLT_fhtable
+
+# This tag is used for testing a tag with a new default_dir specified as
+# well as an absolute path to the fhtable file.
+Sok_B_Lres_FHabst	defaultdir=/var/nfs/smtest/results log=Sok_B_Lres_FHabst_log buffer=Sok_B_Lres_FHabst_buf fhtable=/var/nfs/smtest/absolute/Sok_B_Lres_FHabst_fhtable
+
+# This tag is used for testing a tag with a new default_dir specified as
+# well as an absolute path to the log file.
+Sok_B_FHres_Labst	defaultdir=/var/nfs/smtest/results log=/var/nfs/smtest/absolute/Sok_B_FHres_Labst_log buffer=Sok_B_FHres_Labst_buf fhtable=Sok_B_FHres_Labst_fhtable
+
+# This tag is used for testing a tag with a new default_dir specified as
+# well as an absolute path to the buffer file.
+Sok_L_FHres_Babst	defaultdir=/var/nfs/smtest/results log=Sok_L_FHres_Bdef_log buffer=/var/nfs/smtest/absolute/Sok_L_FHres_Bdef_buf fhtable=Sok_L_FHres_Bdef_fhtable
+
